Bug 1003104 - appclient hang when executing .jar file outside an .ear
appclient hang when executing .jar file outside an .ear
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Application Client (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: EAP 6.2.0
Assigned To: Stuart Douglas
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 15:27 EDT by Aleksandar Kostadinov
Modified: 2013-12-15 11:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An issue existed with the appclient code that prevented the direct execution of .jar files. Additional code has been added to the appclient to correct this issue, and jar files can now be executed directly.
Story Points: ---
Clone Of:
Environment:
RHEL6 RPM
Last Closed: 2013-12-15 11:55:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1996 Major Resolved Application client will not start if run against a standalone client jar 2014-05-13 02:52:50 EDT

  None (edit)
Description Aleksandar Kostadinov 2013-08-30 15:27:33 EDT
There is a problem for appclient in EAP 6.1.1 to execute a jar file that is *not* within an EAR archive. I have a simple hello world appclient that just prints a line to stdout [1].

When I start the app calling it through the ear I see a correct result:
> bin/appclient.sh appear-1.0.ear#app-1.0.jar
> ...
> 15:19:14,992 INFO  [org.jboss.as.server] (Thread-35) JBAS018559: Deployed "appear-1.0.ear" (runtime-name : "appear-1.0.ear")
> 15:19:14,996 INFO  [stdout] (Thread-43) Hello World Enterprise Application Client!
> ...

When I try to directly start .jar though the application client just hangs there doing nothing without any error messages or other clues what is going on:
> bin/appclient.sh app-1.0.jar
> ...
> 15:22:27,987 INFO  [org.jboss.as.server] (Thread-35) JBAS018559: Deployed "app-1.0.jar" (runtime-name : "app-1.0.jar")

Nothing happens, it just sits there forever doing nothing.


[1] https://svn.jboss.org/repos/qa/people/akostadi/appclientear
Comment 3 Aleksandar Kostadinov 2013-10-07 07:01:14 EDT
Tested with ER3.1 and automated test is in place for RPM distribution.

Note You need to log in before you can comment on or make changes to this bug.